<?
include('../connect_to_base.php');
if (($cooked_adm_login!=$host_username)or($cooked_adm_pass!=$host_password)){exit;}
?>
<html>
<head>
<title>Admin's interface</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<link href="../style.css" rel="stylesheet" type="text/css">
</head>
<body bgcolor="#eeeeee" text="#000000" leftmargin="0" topmargin="0">
<br>
<table width="100%" border="0" cellpadding="1" cellspacing="0" class="text">
<tr>
<td width="300" align="center" valign="top"><strong><font color="#990000">Меню администратора:</font></strong><strong><br>
</strong><br>
<a href="?mod=news" class="text">Добавить новость</a><br>
<a href="?mod=percents" class="text">Изменить процентную ставку</a><br>
<a href="?mod=ask" class="text">Посмотреть заявки на вывод (<?
$result=mysql_query("select * from invest_ask where status = 0",$cnct);
echo mysql_num_rows($result);
?>).</a></td>
<td valign="top"> 
<!--Main content-->
<?
if ($mod=='news'){
$result=mysql_query("select * from invest_news order by id desc limit 25",$cnct);
echo '<strong>Последние 25 (если стока есть) новости:</strong><br>';
for($i=0;$i<mysql_num_rows($result);$i++){
$data=mysql_fetch_object($result);
echo 'ID: '.$data->id.', дата: '.$data->data.', текст: '.$data->text.'<br>';
}
echo '<br><strong>Инструкции</strong><br>
Чтобы добавить новость, просто введите дату и текст. ID оставьте пустым. <br>
Чтобы удалить новость, просто введите только ее id. Дату и текст оставьте пустыми.<br>
Чтобы редактировать новость, введите id новости для редактирования, а в поля дата и текст введите новые данные.<br>
Дату лучше всего вводить в таком формате: "04.04.2004".
<br><br><form action="?mod=news2" method="post">
<table border="0" cellspacing="0" cellpadding="1" class="tf2" bgcolor="#ffe7ce">
<tr>
<td width="70" align="center">ID:</td>
<td><input name="id" type="text" class="inp" style="width=200"></td>
</tr>
<tr>
<td align="center">Дата:</td>
<td><input name="data" type="text" class="inp" style="width=200"></td>
</tr>
<tr>
<td align="center">Текст:</td>
<td><input name="text" type="text" class="inp" style="width=200"></td>
</tr>
<tr>
<td align="center">Тип:</td>
<td><select class="inp" name="tpmk" style="width=200">
<option value="1">Добавить</option>
<option value="2">Редактировать</option>
<option value="3">Удалить</option>
</select></td>
</tr>
<tr>
<td colspan="2" align="center"><input type="submit" value="Произвести выбранную операцию" class="inp" style="width=100%"></td>
</tr>
</table>
</form>';
}
elseif ($mod=='news2'){
if ($tpmk==1){
  echo '<strong>Добавление новости.</strong><br>';
  if (($text=='')or($data=='')){
    echo 'Не заполнено поле дата или текст.';
  }
  else {
    echo 'Новость удачно добавлена!';
    $result=mysql_query("insert into invest_news (data,text) values ('$data','$text')",$cnct);
  }
}
elseif ($tpmk==2){
  echo '<strong>Редактирование новости.</strong><br>';
  $result=mysql_query("select * from invest_news where id=$id",$cnct); 
  if (($text=='')or($data=='')or($id=='')){
    echo 'Не заполнено поле id, дата или текст.';
  }
  elseif (mysql_num_rows($result)==0){
    echo 'Новости с таким id не существует.';
  }
  else {
    echo 'Новость удачно отредактирована!';
    $result=mysql_query("update invest_news set data='$data', text='$text' where id=$id",$cnct);
  }
}
elseif ($tpmk==3){
  $result=mysql_query("delete from invest_news where id=$id",$cnct);
  echo '<strong>Удаление новости.</strong><br>Новость с id = '.$id.' успешно удалена. Если таковая существовала :)';
}
}
elseif ($mod=='percents'){
  echo '<b>Изменить процентную ставку.</b><br><br>';
  $result=mysql_query("select * from invest_percents order by id",$cnct);
  echo '<table border=1 cellspacing=1 cellpadding=1><tr align=center><td><strong>ID</strong></td><td>Мин. сумма</td>
  <td>Макс. сумма</td><td>Мин. период</td><td>Макс. период</td><td><strong>%%%</strong></td></tr>';
  for ($i=0;$i<mysql_num_rows($result);$i++){
    $data=mysql_fetch_object($result);
    echo '<tr align=center><td><strong>'.$data->id.'</strong></td><td>'.$data->min_s.'</td><td>'.$data->max_s.'</td>
  <td>'.$data->min_period.'</td><td>'.$data->max_period.'</td><td><strong>'.$data->per_month.'</strong></td></tr>';
  }
  echo '</table><br>Инструкции:<br>
  1. Введите ID записи из списка<br>
  2. Введите новую процентную ставку.<br>
  3. Нажмите "Произвести выбранную операцию".<br><br>
<form action="?mod=p2" method="post">
<table border="0" cellspacing="0" cellpadding="1" class="tf2" bgcolor="#ffe7ce"><tr>
<td width="70" align="center">ID:</td>
<td><input name="id" type="text" class="inp" style="width=200"></td>
</tr><tr><td align="center">Ставка (%):</td><td><input name="stav" type="text" class="inp" style="width=200"></td></tr><tr>
<td colspan="2" align="center"><input type="submit" value="Произвести выбранную операцию" class="inp" style="width=100%"></td>
</tr></table></form>';
}
elseif ($mod=='p2'){
  echo '<b>Изменить процентную ставку.</b><br><br>';
  $result=mysql_query("select * from invest_percents where id=$id",$cnct);
  if (mysql_num_rows($result)!=1){echo 'Записи с таким id не существует!';}
  else {
    echo 'Запись обновлена!';
    $result=mysql_query("update invest_percents set per_month='$stav' where id=$id",$cnct);
  }
}
elseif ($mod=='ask'){
  echo '<b>Запросы на вывод денег.</b><br><br>';
  $result=mysql_query("select * from invest_ask order by id desc",$cnct);
  for ($i=0;$i<mysql_num_rows($result);$i++){
    $data=mysql_fetch_object($result);
    $result2=mysql_query("select * from invest_users where id='$data->user_id'",$cnct);
    $data2=mysql_fetch_object($result2);
    echo '<b>ID: '.$data->id.'</b>, дата: '.$data->data.', сумма: '.$data->summ.', 
    логин: '.$data2->login.', '.$data2->purse.', статус: ';
    if ($data->status==1){echo 'погашен';}
    elseif($data->status==2){echo 'отказан';}
    else {echo '<b>не оплачен</b>';}
    echo '.<br>';
  }
  echo '<br>Инструкции:<br>
  1. Введите ID записи из списка<br>
  2. Выберите "погашен", если вы произвели данную выплату, 
  нажмите "отказан", если вы не собираетесь платить по этому вкладу.<br>
  3. Нажмите "Произвести выбранную операцию".<br><br>
<form action="?mod=ask2" method="post">
<table border="0" cellspacing="0" cellpadding="1" class="tf2" bgcolor="#ffe7ce"><tr>
<td width="70" align="center">ID:</td>
<td><input name="id" type="text" class="inp" style="width=200"></td>
</tr><tr><td align="center">Тип:</td><td><select class="inp" name="tpmk" style="width=200">
<option value="1">Погашен</option><option value="2">Отказан</option>
</select></td></tr><tr>
<td colspan="2" align="center"><input type="submit" value="Произвести выбранную операцию" class="inp" style="width=100%"></td>
</tr></table></form>';
}
elseif ($mod=='ask2'){
  echo '<b>Запросы на вывод денег.</b><br><br>';
  $result=mysql_query("select * from invest_ask where id=$id",$cnct);
  if (mysql_num_rows($result)!=1){echo 'Записи с таким id не существует!';}
  else {
    echo 'Запись обновлена!';
    $result=mysql_query("update invest_ask set status=$tpmk where id=$id",$cnct);
  }
}
else {
echo 'Добро пожаловать в <strong>Admin Panel v 1.0</strong><br>
Выберите в меню нужный пункт.<br>
P.S. Добавить означает не только возможность добавить, но и возможность удалить, редактировать.';
}
?>
<!--/Main content-->
</td>
</tr>
</table>
</body>
</html>
